List payouts
curl --request GET \
--url https://api.orqex.com/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "po_6Cw1Rh",
"amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"method": {
"value": "test",
"label": "<string>",
"description": "<string>",
"icon_url": "<string>",
"category": "<string>",
"requires_phone": true
},
"reference": "batch-42-line-7",
"description": "<string>",
"webhook_url": "<string>",
"customer": {
"id": "cus_2f8Kd1",
"first_name": "Ada",
"last_name": "Lovelace",
"email": "[email protected]",
"avatar_url": "<string>"
},
"instrument": {
"id": "pin_5Yt2Wc",
"phone_number": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"bank_code": "<string>",
"swift_bic": "<string>",
"country": {
"code": "US",
"name": "United States",
"flag": "<string>"
},
"address": "<string>",
"network": "<string>",
"memo_tag": "<string>"
},
"gateway": {
"transaction": {
"id": "<string>",
"reference": "<string>",
"external_id": "<string>",
"status": "<string>"
}
},
"fee_amount": 123,
"failure": {
"code": {
"value": "<string>",
"message": "<string>"
},
"message": "<string>"
},
"metadata": {},
"initiated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"count": 25,
"path": "<string>",
"per_page": 25,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>",
"has_more_pages": true,
"has_pages": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Payouts
List payouts
Cursor-paginated, newest first.
GET
/
payouts
List payouts
Authorizations
Your secret key, e.g. sk_live_... or sk_sandbox_....
Query Parameters
Filter by payout status.
Filter by payout method code.
Filter by currency.
Filter by customer id.
Only records created on or after this date.
Only records created on or before this date.
Number of records per page.
Opaque cursor taken from pagination.next_cursor.
Was this page helpful?
⌘I